Erreur (this will throw an Error in a future version of PHP) (Créer un compte)

  • WordPress :5.7
  • Statut : non résolu
15 sujets de 1 à 15 (sur un total de 19)
  • Auteur
    Messages
  • #2374431
    cinepassion34
    Participant
    Initié WordPress
    10 contributions

    Bonjour,

    Ma configuration WP actuelle :
    – Version de WordPress : 5.7
    – Version de PHP/MySQL : 7.3.27 / 5.5.60
    – Thème utilisé : Moview
    – Thème URI : http://themeum.com/wordpress/moview
    – Extensions en place : Alphabetic Pagination (2.9.2), bbPress (2.6.6), BuddyPress (7.2.1), Classic Editor (1.6), Contact Form 7 (5.4), Counter Number Showcase (1.2.3), Facebook for WordPress (3.0.5), Forum_wordpress_fr (4.2), Hover Effects For Visual Composer Pro (1.0.0), Loco Translate (2.5.2), MailPoet 2 (2.14), Max Mega Menu (2.9.3), MC4WP: Mailchimp for WordPress (4.8.3), Media Library Assistant (2.95), Open Graph and Twitter Card Tags (3.1.1), Rating-Widget: Star Review System (3.1.2), reCaptcha by BestWebSoft (1.60), SecuPress Free — WordPress Security (2.0.1.1), Themeum Core (2.2), Themeum Tweet (1.1), To Top (2.2.1), Who Stole the Text Justify Button ?! (1.0), Widget Data – Setting Import/Export Plugin (1.5.3), WPBakery Page Builder (5.6), WPGlobus for WPBakery Visual Composer (2.1.0), WP Maintenance Mode (2.3.0), WP Rating (1.4), WPS Hide Login (1.8.5), WP Statistics (13.0.8)
    – Adresse du site : https://cinepassion34.fr
    – Nom de l’hébergeur : Apache

    Problème(s) rencontré(s) : Bonjour,

    Depuis ce matin et bien que je n’ai fait aucune mise a jour et tout marché très bien deux jours avant j’ai ce message d’érreur:

    <b>Warning</b>: Use of undefined constant AUTH_KEY – assumed ‘AUTH_KEY’ (this will throw an Error in a future version of PHP) in <b>/homepages/28/d659156228/htdocs/clickandbuilds/CinPassion34/wp-content/plugins/themeum-core/lib/redux/inc/class.redux_instances.php</b> on line <b>67</b>

    <b>Warning</b>: Use of undefined constant SECURE_AUTH_KEY – assumed ‘SECURE_AUTH_KEY’ (this will throw an Error in a future version of PHP) in <b>/homepages/28/d659156228/htdocs/clickandbuilds/CinPassion34/wp-content/plugins/themeum-core/lib/redux/inc/class.redux_instances.php</b> on line <b>67</b>

    Voici ce qu’il y a à la ligne 67 du fichier:

    $hash = md5( md5( AUTH_KEY . SECURE_AUTH_KEY . ‘-redux’ ) . ‘-support’ );

    Avez vous une idée s’il vous plait?

    #2374434
    PhiLyon
    Modérateur
    Maître WordPress
    27585 contributions

    Bonjour.

    Apparemment ton thème et les extensions qui vont avec n’existent plus chez Themeum, il n’est sûrement plus compatible avec WordPress 5.7, les extensions à jour et le versions récentes de PHP.

    🙂

    #2374436
    cinepassion34
    Participant
    Initié WordPress
    10 contributions

    Bonjour, pourquoi cela marché bien jusqu’a maintenant car j’ai fait aucune mise a jour?

    #2374438
    PhiLyon
    Modérateur
    Maître WordPress
    27585 contributions

    WordPress s’est mis à jour seul ?

    🙂

    #2374439
    cinepassion34
    Participant
    Initié WordPress
    10 contributions

    Non bien sur lol. Je l’ai mit a jour y a 1 semaine mais je me suis servit du site et rajouté des fiches de films depuis dessus et tout marché bien.

    #2374440
    PhiLyon
    Modérateur
    Maître WordPress
    27585 contributions

    Le code dit que cette extension n’est plus compatible, et elle fait partie du thème apparemment themeum-core

    Désactive-la et tu n’auras plus le message, mais selon à quoi elle sert ton site devrait être modifié.

    🙂

    #2374442
    cinepassion34
    Participant
    Initié WordPress
    10 contributions

    Quand je la désactive plus rien ne marche sur le site.

    #2374443
    PhiLyon
    Modérateur
    Maître WordPress
    27585 contributions

    Essaie d’installer/activer cette extension https://fr.wordpress.org/plugins/enable-jquery-migrate-helper/

    Même si cela fonctionne ce n’est que partie remise, il te faudra changer de thème un jour ou l’autre.

    🙂

    #2374444
    cinepassion34
    Participant
    Initié WordPress
    10 contributions

    Ok merci. En changeant de thème es ce que les plugins que j’ai marcheront?

    Je pensais mettre celui là à la place: https://themeforest.net/item/amymovie-movie-cinema-wordpress-theme/18936937

     

     

    #2374445
    PhiLyon
    Modérateur
    Maître WordPress
    27585 contributions

    En changeant de thème es ce que les plugins que j’ai marcheront?

    Pas ceux liés au thème.

    Le thème, je ne sais pas, il est payant, tu ne peux te fier qu’aux avis des utilisateurs.

    Il y en a des gratuits https://fr.wordpress.org/themes/videography/

    🙂

     

    #2374446
    cinepassion34
    Participant
    Initié WordPress
    10 contributions

    Je viens de tester avec le thème gratuit et j’ai les trois quart des trucs qui disparaisse

    #2374447
    PhiLyon
    Modérateur
    Maître WordPress
    27585 contributions

    Normal, il n’a pas les mêmes fonctionnalités.

    Tu as testé l’extension ?

    🙂

    #2374448
    cinepassion34
    Participant
    Initié WordPress
    10 contributions

    non car j’ai vue dans les commentaires que sa faisait complètement planter le site pour certain.

    #2374449
    PhiLyon
    Modérateur
    Maître WordPress
    27585 contributions

    De toutes façons si tu changes de thème tu seras obligé de refaire toute la personnalisation.

    🙂

    #2374450
    cinepassion34
    Participant
    Initié WordPress
    10 contributions

    Et dans cet ligne y a rien a modifié qui puisse résoudre le problème?

    $hash = md5( md5( AUTH_KEY . SECURE_AUTH_KEY . ‘-redux’ ) . ‘-support’ );

15 sujets de 1 à 15 (sur un total de 19)
  • Vous devez être connecté pour répondre à ce sujet.